| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | List of all members
IG.Neural.DataMapperIdentity Class Reference

More...

Inheritance diagram for IG.Neural.DataMapperIdentity:
[legend]
Collaboration diagram for IG.Neural.DataMapperIdentity:
[legend]

## Public Member Functions
| DataMapperIdentity ()
virtual void | MapInput (IVector reducedInput, ref IVector originalInput)
| Transfers elemts of reducedInput vector in the originalInput vector. More...
virtual void | MapOutput (IVector originalOutput, ref IVector reducedOutput)
| Transfers elemts of originalOutput vector in the reducedOutput vector. More...

## Detailed Description

## Constructor & Destructor Documentation

IG.Neural.DataMapperIdentity.DataMapperIdentity | ( |  | ) |
| inline

## Member Function Documentation

virtual void IG.Neural.DataMapperIdentity.MapInput | ( | IVector | reducedInput,
|  | ref IVector | originalInput
| ) |  |
| inline virtual

Transfers elemts of reducedInput vector in the originalInput vector.

Parameters

  reducedInput | reducedInput elements.
  originalInput | originalInput elements.

$A Igor Jul 19; tako78 Jul 19

Implements IG.Neural.IDataMapper.

Reimplemented in IG.Neural.DataMapperSimple.

References IG.Num.VectorBase.Copy().

virtual void IG.Neural.DataMapperIdentity.MapOutput | ( | IVector | originalOutput,
|  | ref IVector | reducedOutput
| ) |  |
| inline virtual

Transfers elemts of originalOutput vector in the reducedOutput vector.

Parameters

  originalOutput | originalOutput elements.
  reducedOutput | reducedOutput elements.

$A Igor Jul 19; tako78 Jul 19

Implements IG.Neural.IDataMapper.

Reimplemented in IG.Neural.DataMapperSimple.

References IG.Num.VectorBase.Copy().

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/testneural/NeuralMapData.cs